%define anolis_release 1

Name:           xfsprogs
Version:        5.14.2
Release:        %{anolis_release}%{?dist}
Summary:        Userspace utilities that manage XFS filesystems

License:        GPL+ and LGPLv2+
URL:            https://xfs.wiki.kernel.org
Source0:        https://www.kernel.org/pub/linux/utils/fs/xfs/xfsprogs/%{name}-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  gettext
BuildRequires:  libattr-devel
BuildRequires:  libuuid-devel
BuildRequires:  libedit-devel
BuildRequires:  libblkid-devel
BuildRequires:  libicu
BuildRequires:  systemd
BuildRequires:  xz
BuildRequires:  inih-devel
BuildRequires:  userspace-rcu-devel
Provides:       xfs-cmds
Provides:       xfsprogs-qa-devel
Suggests:       xfsprogs-xfs_scrub

%description
A set of commands to use the XFS file system, including mkfs.xfs.

XFS is a high performance journaling file system which originated on
the SGI IRIX platform.  It is completely multithreaded. It can support
large files and large file systems, extended attributes, and variable
block sizes. It is extent based and makes extensive use of Btrees
(directories, extents, and free space) to aid both performance and
scalability.

Refer to the documentation at https://xfs.wiki.kernel.org/ for complete
details.  This implementation is on-disk compatible with the IRIX
version of XFS.

%package devel
Summary: XFS filesystem-specific headers
Requires: xfsprogs = %{version}-%{release}
Requires: libuuid-devel

%description devel
xfsprogs-devel contains the header files needed to develop XFS
filesystem-specific programs.

You should install xfsprogs-devel if you want to develop XFS
filesystem-specific programs,  If you install xfsprogs-devel, you'll
also want to install xfsprogs.

%package xfs_scrub
Summary: XFS scrubbing scripts and service files
Group: System/Filesystems
Requires: xfsprogs

%description xfs_scrub
Scripts and systemd service files for background scrubbing of metadata
on xfs filesystems.

%prep
%autosetup -p1

%build
%configure --enable-editline=yes --enable-blkid=yes
%make_build

%install
make install DESTDIR=%{buildroot} install install-dev \
  PKG_ROOT_SBIN_DIR=%{_sbindir} PKG_ROOT_LIB_DIR=%{_libdir}

# nuke .la files, etc
rm -f %{buildroot}/{%{_lib}/*.{la,a,so},%{_libdir}/*.{la,a}}

# remove non-versioned docs location
rm -rf %{buildroot}/%{_datadir}/doc/xfsprogs

%find_lang %{name}

%files -f %{name}.lang
%doc doc/CHANGES README
%{_libdir}/*.so.*
%dir %{_usr}/%{_lib}/xfsprogs
%{_usr}/%{_lib}/xfsprogs/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/*
%{_unitdir}/*
%exclude %{_sbindir}/xfs_scrub*
%exclude %{_mandir}/man8/xfs_scrub*
%exclude %{_usr}/%{_lib}/xfsprogs/xfs_scrub*
%exclude %{_mandir}/man8/xfs_scrub_all*
%exclude %{_unitdir}/xfs_scrub*

%files xfs_scrub
%{_sbindir}/xfs_scrub*
%{_mandir}/man8/xfs_scrub*
%{_usr}/%{_lib}/xfsprogs/xfs_scrub*
%{_mandir}/man8/xfs_scrub_all*
%{_unitdir}/xfs_scrub*

%files devel
%{_mandir}/man2/*
%{_mandir}/man3/*
%dir %{_includedir}/xfs
%{_includedir}/xfs/handle.h
%{_includedir}/xfs/jdm.h
%{_includedir}/xfs/linux.h
%{_includedir}/xfs/xfs.h
%{_includedir}/xfs/xfs_arch.h
%{_includedir}/xfs/xfs_fs.h
%{_includedir}/xfs/xfs_fs_compat.h
%{_includedir}/xfs/xfs_types.h
%{_includedir}/xfs/xfs_format.h
%{_includedir}/xfs/xfs_da_format.h
%{_includedir}/xfs/xfs_log_format.h
%{_includedir}/xfs/xqm.h

%{_libdir}/*.so

%changelog
* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 5.14.2-1
- Initial packaging for Anolis OS 23
